#include <ScreenSaverGestalt.h>


typedef char  BBool;


struct MemRSRCVars
{
	BBool			ShowIcon;
				
	BBool			VBLActive;
	unsigned short	VBLTime;		// Time to increment VBL task by.
	unsigned long	UnitSize;		// Spacing of dots, in bytes.
	RGBColor		BarColor;		// RGB color of bar.
				
	BBool			PieActive;
	unsigned long	PieTime;
	RGBColor		PiePanColor,
					PiePieColor;
};
typedef struct MemRSRCVars  MemRSRCVars;

struct MemVars
{
	struct MemRSRCVars  RSRC;


	VBLTask			VBLRec;
	Ptr				VBLHeap;		// Heap that bar should be displaying.
	BBool			ColorAvail,
					Use32BitAddr,	// Should we use 32 bit addressing for video?
					BlackColor;		// True if bar should be black.
	PixMapPtr		MainPMap;		// PixMap of main screen.  This had better be locked...
	long			ColorBits;		// Bit sequence for bar color.
	short			ColorSize;		// # of bits of color data - for update prevention.
	short			ColorIndex;		// Bits for color display.
	unsigned long	PieNextUpdate;
	GrafPort		PiePort;		// Port to draw pie in.


	ProcPtr			OldDrawMBar,	// Address of unpatched DrawMBar routine.
					OldGNEFilter;	// Address of unpatched GNEFilter routine.
					
	BBool			GestaltPresent,
					ScrnSaverPresent;
};
typedef struct MemVars  MemVars;